/***************************************************************************
 compress.c -- causes the range of position predictions to saturate;
 			   piecewise linear approximation of sigmoidal shaped compression
			   curve was fitted from the Dominitz & Colburn exp. (S&C '78)
 ***************************************************************************/
 
#import <math.h>

extern struct {
	double	K1;
	double	K2;
	double	K3;
} comprconst;

double compress(double P)
{
	return comprconst.K1 * atan(comprconst.K2 * P);
}
