
/* (7/8/89)		TOR - created.  function to calc
*						cosine & sine table for ffts. 
*/

#import "BiDis.h"
#import "Nerve.h"
#define TOTPTS ((int) (NREALPTS * 1.5))

float cosftable[TOTPTS + 1];
float sinftable[TOTPTS + 1];
float costb[NREALPTS + 1];

/* fills in cos & sin tables for ffts */
void calctrig(void)
{
	int i;
	double pts_pi = PI/NREALPTS;
	for(i=0;i<TOTPTS;i++) {
		cosftable[i] = cos(i*pts_pi);
		sinftable[i] = sin(i*pts_pi);
	}
	cosftable[TOTPTS] = 0.0;
	sinftable[TOTPTS] = -1.0;
}

void calcamtonecos(void)
{
	int i;
	
	double pts_pi = (2*PI) / NREALPTS;
	for(i = 0; i < NREALPTS; i++) costb[i] = cos(i * pts_pi);
	costb[NREALPTS] = 1.0;
}
