/*  7-19-89    TOR - made to interpolate array. */

#define V_MAX 180
#define H_MAX 500

struct table
{
	double v1;
	double v2;
	int tag1;
	int tag2;
};

struct table Array[V_MAX][H_MAX];

@interface interp:Object
{
	id arrayview;
	id hl_iview;  id hh_iview;
	id vl_iview;  id vh_iview;
	id filename;
	id out_filename;
	id message;
	id number;
	id interpolation;
	id xtitle; id ytitle;
	id jumptitle;
	id tableType;
	id type;
	id row; id column;
	int tab_type;
	int H_max, V_max, H_index, V_index;
}

+ new;
- setArrayview:anObject;
- setFilename:anObject;
- setInterpolation:anObject;
- setHl_iview:anObject;
- setHh_iview:anObject;
- setVl_iview:anObject;
- setVh_iview:anObject;
- setNumber:anObject;
- setOut_filename:anObject;
- setMessage:anObject;
- setXtitle:anObject;
- setYtitle:anObject;
- setTableType:anObject;
- setType:anObject;
- setRow:anObject;
- setColumn:anObject;
- setJumptitle:anObject;

- initArray:sender;
- updateArray:sender;
- displayArray;
- readback;
- jump:sender;
- scrollup:sender;
- scrolldown:sender;
- scrollleft:sender;
- scrollright:sender;
- loadFile:sender;
- saveFile:sender;
- (int)getRLint;
- (int)getRHint;
- (int)getCLint;
- (int)getCHint;
- interpolate:sender;
- tag1:sender;
- tag2:sender;
@end
