/*********************************************************************
	Let the C-shell expand the pathname for us; i.e. glob the tilde ("home")
	character for use in fopen().
 *********************************************************************/
#import <string.h>
#import <stdio.h> 
#import "ccf.h"

char *globpath(char *oldpath)
{
	char    globstr[32+MAXPATHLEN], glob_buf[MAXPATHLEN];
	int     nbytes;
	FILE	*iop;
	
	sprintf(globstr,"csh -c 'glob %s'", oldpath);
	
	if ((iop = popen(globstr, "r")) == NULL) {
		return 0;
	}
	
	nbytes = fread(glob_buf, sizeof *glob_buf, sizeof glob_buf, iop);
	/* nulls separate the file names, be careful using string funcs */

	return glob_buf;
}